local super = require "Formatter"

NumberFormatter = super:new()

function NumberFormatter:getSubclasses()
    return {
        { DecimalFormatter, 'Decimal' },
        { CurrencyFormatter, 'Currency' },
        { PercentFormatter, 'Percent' },
        { ScientificFormatter, 'Scientific' },
        { MetricFormatter, 'Metric (SI)' },
        { ScaleFormatter, 'Scale' },
        { CoefficientFormatter, 'Coefficient' },
    }
end

return NumberFormatter
